/* T_CAS_DUPLICATECHECKTABLE 防重表登记；*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAS_DUPLICATECHECKTABLE')
CREATE TABLE T_CAS_DUPLICATECHECKTABLE
(
	FID             BIGINT DEFAULT 0 NOT NULL,
	FTABLE          NVARCHAR(100) DEFAULT ' ' NOT NULL,
	FCREATER        BIGINT DEFAULT 0 NOT NULL,
	FCREATDATE      DATETIME
);
EXEC P_ALTERPK 'PK_T_CAS_DUPLICATECHECKTABLE', 'T_CAS_DUPLICATECHECKTABLE', 'FID', '1';

/*  T_CAS_DUPLICATESET 防重设置表  */
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAS_DUPLICATESET')
CREATE TABLE T_CAS_DUPLICATESET
(
    FID               BIGINT DEFAULT 0 NOT NULL,
	FBILLNO           NVARCHAR(100) DEFAULT ' ' NOT NULL,
    FSBILLTYPE        NVARCHAR(100) DEFAULT ' ' NOT NULL,
    FSPUSHENTITY      NVARCHAR(100) DEFAULT ' ' NOT NULL,
    FSTOTALFIELD      NVARCHAR(100) DEFAULT ' ' NOT NULL,
    FSPUSHFIELD       NVARCHAR(100) DEFAULT ' ' NOT NULL,
	FTBILLTYPE        NVARCHAR(100) DEFAULT ' ' NOT NULL,
	FTPUSEDENTITY     NVARCHAR(100) DEFAULT ' ' NOT NULL,
    FTPUSEDFIELD      NVARCHAR(100) DEFAULT ' ' NOT NULL,
	FVERID            INT DEFAULT 0 NOT NULL ,
    FCREATDATE        DATETIME,
	FEDITDATE         DATETIME,
	FCREATER          BIGINT DEFAULT 0 NOT NULL,
	FMODIFIER         BIGINT DEFAULT 0 NOT NULL
);
EXEC P_ALTERPK 'PK_T_CAS_DUPLICATESET', 'T_CAS_DUPLICATESET', 'FID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CAS_DUPSET_FSBILLTYPE') CREATE INDEX IDX_CAS_DUPSET_FSBILLTYPE ON T_CAS_DUPLICATESET ( FSBILLTYPE, FTBILLTYPE );
