<?xml version="1.0" encoding="UTF-8"?>

<DeployMetadata>
  <Id>650462343599267840</Id>
  <DesignMetas>
    <DesignConvertRuleMeta>
      <DevType>0</DevType>
      <ModifyDate>1589371574000</ModifyDate>
      <DataXml>
        <ConvertRuleMetadata>
          <DevType>0</DevType>
          <Isv>kingdee</Isv>
          <ParentId/>
          <MasterId/>
          <BizappId>d2bb1733000000ac</BizappId>
          <RuleElement>
            <ConvertRuleElement>
              <FieldMapPolicy>
                <FieldMapPolicy>
                  <FieldMaps>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>org</TargetFieldKey>
                      <SourceFieldKey>company</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <Constant>
                        <CRFormula>
                          <Expression>326579915841364992</Expression>
                          <Description/>
                          <ExprTran>其他付款</ExprTran>
                        </CRFormula>
                      </Constant>
                      <ConvertType>CONSTANT</ConvertType>
                      <TargetFieldKey>billtype</TargetFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>bizdate</TargetFieldKey>
                      <SourceFieldKey>bizdate</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>payeetype</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>MatchingEntity(company.id, oppunit)</Expression>
                          <Description>根据对方单位确定收款人类型</Description>
                          <ExprTran>MatchingEntity(company.id, 对方单位)</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>description</TargetFieldKey>
                      <SourceFieldKey>description</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>payeracctbank</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>accountbank.id</Expression>
                          <Description>银行账户ID</Description>
                          <ExprTran>accountbank.id</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>payerbank</TargetFieldKey>
                      <SourceFieldKey>accountbank.bank</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>currency</TargetFieldKey>
                      <SourceFieldKey>currency</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>actpayamt</TargetFieldKey>
                      <SourceFieldKey>debitamount</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <Constant>
                        <CRFormula>
                          <Expression>900004</Expression>
                          <Description/>
                          <ExprTran>电汇</ExprTran>
                        </CRFormula>
                      </Constant>
                      <ConvertType>CONSTANT</ConvertType>
                      <TargetFieldKey>settletype</TargetFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>usage</TargetFieldKey>
                      <SourceFieldKey>description</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>recaccbankname</TargetFieldKey>
                      <SourceFieldKey>oppunit</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>payeename</TargetFieldKey>
                      <SourceFieldKey>oppunit</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <Constant>
                        <CRFormula>
                          <Expression>180907466014344192</Expression>
                          <Description/>
                          <ExprTran>其他</ExprTran>
                        </CRFormula>
                      </Constant>
                      <ConvertType>CONSTANT</ConvertType>
                      <TargetFieldKey>paymenttype</TargetFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>sourcebillid</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>id</Expression>
                          <Description/>
                          <ExprTran>交易明细查询.内码</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>payee</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>MatchingF7(company.id, oppunit)</Expression>
                          <Description>根据对方单位确定其对应的基础资料ID</Description>
                          <ExprTran>MatchingF7(company.id, 对方单位)</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>payeebanknum</TargetFieldKey>
                      <SourceFieldKey>oppbanknumber</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>payeebankname</TargetFieldKey>
                      <SourceFieldKey>oppbank</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <Constant>
                        <CRFormula>
                          <Expression>CASH</Expression>
                          <Description/>
                          <ExprTran>现购</ExprTran>
                        </CRFormula>
                      </Constant>
                      <ConvertType>CONSTANT</ConvertType>
                      <TargetFieldKey>paymentmode</TargetFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <Constant>
                        <CRFormula>
                          <Expression>BE</Expression>
                          <Description/>
                          <ExprTran>银企互联</ExprTran>
                        </CRFormula>
                      </Constant>
                      <ConvertType>CONSTANT</ConvertType>
                      <TargetFieldKey>sourcetype</TargetFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <Constant>
                        <CRFormula>
                          <Expression>bei_transdetail</Expression>
                          <Description/>
                          <ExprTran>交易明细</ExprTran>
                        </CRFormula>
                      </Constant>
                      <ConvertType>CONSTANT</ConvertType>
                      <TargetFieldKey>sourcebilltype</TargetFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>e_actamt</TargetFieldKey>
                      <SourceFieldKey>debitamount</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>Formula</ConvertType>
                      <TargetFieldKey>e_sourcebillid</TargetFieldKey>
                      <Formula>
                        <CRFormula>
                          <Expression>id</Expression>
                          <Description>交易明细ID</Description>
                          <ExprTran>交易明细查询.内码</ExprTran>
                        </CRFormula>
                      </Formula>
                      <SumType>First</SumType>
                    </FieldMapItem>
                    <FieldMapItem>
                      <ConvertType>SourceField</ConvertType>
                      <TargetFieldKey>e_payableamt</TargetFieldKey>
                      <SourceFieldKey>debitamount</SourceFieldKey>
                      <SumType>First</SumType>
                    </FieldMapItem>
                  </FieldMaps>
                </FieldMapPolicy>
              </FieldMapPolicy>
              <PlugInPolicy>
                <PlugInPolicy>
                  <Plugins>
                    <CRPlugin>
                      <ClassName>kd.tmc.bei.formplugin.priorityconvert.DealPriorityConvertPlugin</ClassName>
                      <Seq>1</Seq>
                    </CRPlugin>
                  </Plugins>
                </PlugInPolicy>
              </PlugInPolicy>
              <FilterPolicy>
                <FilterPolicy>
                  <Condition>
                    <CRCondition>
                      <FilterCondition>
                        <FilterCondition>
                          <FilterRow>
                            <SimpleFilterRow>
                              <CompareType>105</CompareType>
                              <FieldName>receredtype</FieldName>
                              <RightBracket/>
                              <Id>00KZXQC7Q26K</Id>
                              <LeftBracket/>
                              <Logic>0</Logic>
                              <Value>
                                <FilterValue>
                                  <Id>00KZXQC7QE+F</Id>
                                  <Value>0</Value>
                                </FilterValue>
                              </Value>
                            </SimpleFilterRow>
                            <SimpleFilterRow>
                              <CompareType>21</CompareType>
                              <FieldName>debitamount</FieldName>
                              <RightBracket/>
                              <Id>00KZXQC7Q26L</Id>
                              <LeftBracket/>
                              <Logic>0</Logic>
                              <Value>
                                <FilterValue>
                                  <Id>00KZXQC7QE+G</Id>
                                  <Value>0</Value>
                                </FilterValue>
                              </Value>
                            </SimpleFilterRow>
                          </FilterRow>
                        </FilterCondition>
                      </FilterCondition>
                      <Description/>
                      <ExprTran/>
                    </CRCondition>
                  </Condition>
                </FilterPolicy>
              </FilterPolicy>
              <LinkEntityPolicy>
                <LinkEntityPolicy>
                  <SourceSubEntryKey/>
                  <TargetEntryKey>cas_paybill</TargetEntryKey>
                  <SourceEntryKey>bei_transdetail</SourceEntryKey>
                  <LinkType>Link</LinkType>
                </LinkEntityPolicy>
              </LinkEntityPolicy>
              <efRule>false</efRule>
              <TargetEntityNumber>cas_paybill</TargetEntityNumber>
              <GroupByPolicy>
                <GroupByPolicy>
                  <GroupByField/>
                  <GroupMode3>OneToOne</GroupMode3>
                  <GroupMode2>OneToOne</GroupMode2>
                  <GroupByField2/>
                  <GroupByField3/>
                  <GroupMode>OneToOne</GroupMode>
                </GroupByPolicy>
              </GroupByPolicy>
              <Name>交易明细（资金）生成付款单</Name>
              <SourceEntityNumber>bei_transdetail</SourceEntityNumber>
              <Id>650462343599267840</Id>
              <RunCondition>
                <CRCondition>
                  <Expression/>
                  <Description/>
                  <ExprTran/>
                </CRCondition>
              </RunCondition>
            </ConvertRuleElement>
          </RuleElement>
          <Id>650462343599267840</Id>
          <InheritPath/>
          <CreateDate>1589180233000</CreateDate>
        </ConvertRuleMetadata>
      </DataXml>
      <ModifierId>13466739</ModifierId>
      <ModelType>ConvertRuleModel</ModelType>
      <Isv>kingdee</Isv>
      <Version>1589371574887</Version>
      <ParentId></ParentId>
      <MasterId></MasterId>
      <BizappId>d2bb1733000000ac</BizappId>
      <TargetEntityNumber>cas_paybill</TargetEntityNumber>
      <SourceEntityNumber>bei_transdetail</SourceEntityNumber>
      <Id>650462343599267840</Id>
      <InheritPath></InheritPath>
      <CreateDate>1589180233000</CreateDate>
    </DesignConvertRuleMeta>
  </DesignMetas>
  <BOSVersion>1.0</BOSVersion>
</DeployMetadata>
