/*余额调节表单据编号升级*/
UPDATE T_CAS_BANKBALANCEADJUST SET FBILLNO=FID WHERE FBILLNO=' ';

/*对账规则配置修改*/
DELETE FROM T_CAS_RECONCILIATIONRULE WHERE FID = 876055266653774848;
DELETE FROM T_CAS_RECONCILIATIONRULE WHERE FID = 878148360027114497;
INSERT INTO T_CAS_RECONCILIATIONRULE(FID,FCREATETIME,FMODIFIERID,FENABLE,FMODIFYTIME,FORGFIELD,FMASTERID,FSTATUS,FCREATORID,FNUMBER) VALUES (878148360027114497,{ts'2020-04-26  14:44:02'},13466739,'1',{ts'2020-04-26  14:44:02'},100000000000000001,0,' ',13466739,' '); 

DELETE FROM T_CAS_RECONCILIATION_E WHERE FID = 876055266653774848;
DELETE FROM T_CAS_RECONCILIATION_E WHERE FENTRYID = 878148360018641920;
INSERT INTO T_CAS_RECONCILIATION_E(FID,FDATAFILTERDESC_REAL,FDATAFILTERDESC,FENTRYID,FSEQ,FDATAFILTERDESC_REAL_TAG,FRULESNAME) VALUES (878148360027114497,' ','''对账标识码''等于''对账标识码''',878148360018641920,1,'[{"bankjournal":"bankcheckflag","condition":"equals","isnullmatch":false,"bankstatement":"bankcheckflag","num":null}]','按对账标识码对账'); 
DELETE FROM T_CAS_RECONCILIATION_E WHERE FENTRYID = 878148360018725888;
INSERT INTO T_CAS_RECONCILIATION_E(FID,FDATAFILTERDESC_REAL,FDATAFILTERDESC,FENTRYID,FSEQ,FDATAFILTERDESC_REAL_TAG,FRULESNAME) VALUES (878148360027114497,' ','''结算号''等于''结算号''',878148360018725888,2,'[{"bankjournal":"settlementnumber","condition":"equals","isnullmatch":false,"bankstatement":"settlementnumber","num":null}]','按结算号相同对账'); 
DELETE FROM T_CAS_RECONCILIATION_E WHERE FENTRYID = 878148360018641921;
INSERT INTO T_CAS_RECONCILIATION_E(FID,FDATAFILTERDESC_REAL,FDATAFILTERDESC,FENTRYID,FSEQ,FDATAFILTERDESC_REAL_TAG,FRULESNAME) VALUES (878148360027114497,' ','''凭证号''等于''结算号''',878148360018641921,3,'[{"bankjournal":"settlementnumber","condition":"equals","isnullmatch":false,"bankstatement":"vouchernumber","num":null}]','按结算号与凭证号相同对账'); 
DELETE FROM T_CAS_RECONCILIATION_E WHERE FENTRYID = 878148360018725889;
INSERT INTO T_CAS_RECONCILIATION_E(FID,FDATAFILTERDESC_REAL,FDATAFILTERDESC,FENTRYID,FSEQ,FDATAFILTERDESC_REAL_TAG,FRULESNAME) VALUES (878148360027114497,' ','''贷方金额''等于''借方金额'' and ''借方金额''等于''贷方金额'' and ''对方户名''等于''对方户名'' and ''对方账号''等于''对方账号'' and ''日期''等于''业务日期'' and ''摘要''等于''摘要''',878148360018725889,4,'[{"bankjournal":"debitamount","condition":"equals","isnullmatch":false,"bankstatement":"creditamount","num":null},{"bankjournal":"creditamount","condition":"equals","isnullmatch":false,"bankstatement":"debitamount","num":null},{"bankjournal":"oppunit","condition":"equals","isnullmatch":false,"bankstatement":"oppunit","num":null},{"bankjournal":"oppacctnumber","condition":"equals","isnullmatch":false,"bankstatement":"oppaccountnumber","num":null},{"bankjournal":"bizdate","condition":"equals","isnullmatch":false,"bankstatement":"bizdate","num":null},{"bankjournal":"description","condition":"equals","isnullmatch":true,"bankstatement":"description","num":null}]','按对方信息、摘要、日期一致对账'); 
DELETE FROM T_CAS_RECONCILIATION_E WHERE FENTRYID = 878148360027030528;
INSERT INTO T_CAS_RECONCILIATION_E(FID,FDATAFILTERDESC_REAL,FDATAFILTERDESC,FENTRYID,FSEQ,FDATAFILTERDESC_REAL_TAG,FRULESNAME) VALUES (878148360027114497,' ','''贷方金额''等于''借方金额'' and ''借方金额''等于''贷方金额'' and ''对方户名''等于''对方户名'' and ''对方账号''等于''对方账号'' and ''日期''相差小于3天 ''业务日期'' and ''摘要''等于''摘要''',878148360027030528,5,'[{"bankjournal":"debitamount","condition":"equals","isnullmatch":false,"bankstatement":"creditamount","num":null},{"bankjournal":"creditamount","condition":"equals","isnullmatch":false,"bankstatement":"debitamount","num":null},{"bankjournal":"oppunit","condition":"equals","isnullmatch":false,"bankstatement":"oppunit","num":null},{"bankjournal":"oppacctnumber","condition":"equals","isnullmatch":false,"bankstatement":"oppaccountnumber","num":null},{"bankjournal":"bizdate","condition":"diff","isnullmatch":false,"bankstatement":"bizdate","num":"3"},{"bankjournal":"description","condition":"equals","isnullmatch":true,"bankstatement":"description","num":null}]','按对方信息、摘要一致，日期相差小于3天对账'); 
DELETE FROM T_CAS_RECONCILIATION_E WHERE FENTRYID = 878148360027114496;
INSERT INTO T_CAS_RECONCILIATION_E(FID,FDATAFILTERDESC_REAL,FDATAFILTERDESC,FENTRYID,FSEQ,FDATAFILTERDESC_REAL_TAG,FRULESNAME) VALUES (878148360027114497,' ','''贷方金额''等于''借方金额'' and ''借方金额''等于''贷方金额'' and ''对方户名''等于''对方户名'' and ''对方账号''等于''对方账号'' and ''日期''等于''业务日期'' and ''摘要''模糊匹配''摘要''',878148360027114496,6,'[{"bankjournal":"debitamount","condition":"equals","isnullmatch":false,"bankstatement":"creditamount","num":null},{"bankjournal":"creditamount","condition":"equals","isnullmatch":false,"bankstatement":"debitamount","num":null},{"bankjournal":"oppunit","condition":"equals","isnullmatch":false,"bankstatement":"oppunit","num":null},{"bankjournal":"oppacctnumber","condition":"equals","isnullmatch":false,"bankstatement":"oppaccountnumber","num":null},{"bankjournal":"bizdate","condition":"equals","isnullmatch":false,"bankstatement":"bizdate","num":null},{"bankjournal":"description","condition":"like","isnullmatch":true,"bankstatement":"description","num":null}]','按对方信息、日期一致，摘要模糊匹配对账'); 
DELETE FROM T_CAS_RECONCILIATION_E WHERE FENTRYID = 878148360027030529;
INSERT INTO T_CAS_RECONCILIATION_E(FID,FDATAFILTERDESC_REAL,FDATAFILTERDESC,FENTRYID,FSEQ,FDATAFILTERDESC_REAL_TAG,FRULESNAME) VALUES (878148360027114497,' ','''贷方金额''等于''借方金额'' and ''借方金额''等于''贷方金额'' and ''对方户名''等于''对方户名'' and ''对方账号''等于''对方账号'' and ''摘要''等于''摘要''',878148360027030529,7,'[{"bankjournal":"debitamount","condition":"equals","isnullmatch":false,"bankstatement":"creditamount","num":null},{"bankjournal":"creditamount","condition":"equals","isnullmatch":false,"bankstatement":"debitamount","num":null},{"bankjournal":"oppunit","condition":"equals","isnullmatch":true,"bankstatement":"oppunit","num":null},{"bankjournal":"oppacctnumber","condition":"equals","isnullmatch":true,"bankstatement":"oppaccountnumber","num":null},{"bankjournal":"description","condition":"equals","isnullmatch":true,"bankstatement":"description","num":null}]','按金额一致对账'); 
