/***历史数据更新***/
/***1、将原本【中国银行】改为【中银香港】***/
UPDATE T_BEI_CROSSTRANTYPE SET FBANKCATEID=1546380336613687296 WHERE FBANKCATEID = 544782186595789005;
/***2、将原本BOC01-05 改为BOCHK01-05***/
UPDATE T_BEI_CROSSTRANTYPE SET FNUMBER='BOCHK01' WHERE FNUMBER = 'BOC01';
UPDATE T_BEI_CROSSTRANTYPE SET FNUMBER='BOCHK02' WHERE FNUMBER = 'BOC02';
UPDATE T_BEI_CROSSTRANTYPE SET FNUMBER='BOCHK03' WHERE FNUMBER = 'BOC03';
UPDATE T_BEI_CROSSTRANTYPE SET FNUMBER='BOCHK04' WHERE FNUMBER = 'BOC04';
UPDATE T_BEI_CROSSTRANTYPE SET FNUMBER='BOCHK05' WHERE FNUMBER = 'BOC05';

/**预置【跨境交易字段】 申请人姓名和申请人电话**/
DELETE FROM t_bei_crosstranfield WHERE FID = 1594087715933313024;
INSERT INTO t_bei_crosstranfield(FID,FENABLERID,FENABLEDATE,FDISABLEDATE,FMASTERID,FFIELDTYPE,FSTATUS,FCOMBOXVALUE,FNUMBER,FNAME,FBASEDATATYPE,FCREATETIME,FENABLE,FMODIFIERID,FMODIFYTIME,FISNOTNULL,FCOMMENT,FCREATORID,FISSEE,FDISABLERID) VALUES (1594087715933313024,0,NULL,NULL,1594087715933313024,'text','C',' ','applyname','申请人姓名',' ',{ts'2023-01-09  00:00:00'},'1',13466739,{ts'2023-01-12  00:00:00'},'0','中国银行跨境交易',1307239076847580160,'0',0); 
DELETE FROM t_bei_crosstranfield WHERE FID = 1594087944841775104;
INSERT INTO t_bei_crosstranfield(FID,FENABLERID,FENABLEDATE,FDISABLEDATE,FMASTERID,FFIELDTYPE,FSTATUS,FCOMBOXVALUE,FNUMBER,FNAME,FBASEDATATYPE,FCREATETIME,FENABLE,FMODIFIERID,FMODIFYTIME,FISNOTNULL,FCOMMENT,FCREATORID,FISSEE,FDISABLERID) VALUES (1594087944841775104,0,NULL,NULL,1594087944841775104,'text','C',' ','applyphone','申请人电话',' ',{ts'2023-01-09  00:00:00'},'1',13466739,{ts'2023-01-12  00:00:00'},'0','中国银行跨境交易',1307239076847580160,'0',0); 

DELETE FROM t_bei_crosstranfield_l WHERE FPKID = '3+T3EXKPEH3V';
INSERT INTO t_bei_crosstranfield_l(FID,FPKID,FLOCALEID,FCOMMENT,FCOMBOXVALUE,FNAME) VALUES (1594087715933313024,'3+T3EXKPEH3V','zh_CN','中国银行跨境交易',' ','申请人姓名'); 
DELETE FROM t_bei_crosstranfield_l WHERE FPKID = '3+T3EXKPEH3W';
INSERT INTO t_bei_crosstranfield_l(FID,FPKID,FLOCALEID,FCOMMENT,FCOMBOXVALUE,FNAME) VALUES (1594087715933313024,'3+T3EXKPEH3W','zh_TW','中國銀行跨境交易',' ','申請人姓名'); 
DELETE FROM t_bei_crosstranfield_l WHERE FPKID = '3+T3GKMM8CXW';
INSERT INTO t_bei_crosstranfield_l(FID,FPKID,FLOCALEID,FCOMMENT,FCOMBOXVALUE,FNAME) VALUES (1594087944841775104,'3+T3GKMM8CXW','zh_CN','中国银行跨境交易',' ','申请人电话'); 
DELETE FROM t_bei_crosstranfield_l WHERE FPKID = '3+T3GKMM8CXX';
INSERT INTO t_bei_crosstranfield_l(FID,FPKID,FLOCALEID,FCOMMENT,FCOMBOXVALUE,FNAME) VALUES (1594087944841775104,'3+T3GKMM8CXX','zh_TW','中國銀行跨境交易',' ','申請人電話'); 
/**预置【跨境交易类型】 中行跨境支付**/
DELETE FROM t_bei_crosstrantype WHERE FID = 1594095003519862784;
INSERT INTO t_bei_crosstrantype(FID,FTIMELINESS,FENABLERID,FENABLEDATE,FDISABLEDATE,FISDEFAULT,FMASTERID,FSTATUS,FISPRESETDATA,FISLIMITSAMEBANK,FNUMBER,FNAME,FCREATETIME,FISCROSSCURRENCY,FENABLE,FMODIFIERID,FMODIFYTIME,FCOMMENT,FBANKCATEID,FISCOUNTRY,FCREATORID,FDISABLERID,FREFERENCEFEE) VALUES (1594095003519862784,'work',0,NULL,NULL,'1',1594095003519862784,'C','1','0','BOC01','中行跨境支付',{ts'2023-01-09  00:00:00'},'0','1',1307239076847580160,{ts'2023-01-09  00:00:00'},' ',544782186595789005,'1',1307239076847580160,0,0); 

DELETE FROM t_bei_crosstrantype_l WHERE FPKID = '3+T4T/NH/0RU';
INSERT INTO t_bei_crosstrantype_l(FID,FPKID,FLOCALEID,FCOMMENT,FNAME) VALUES (1594095003519862784,'3+T4T/NH/0RU','zh_CN',' ','中行跨境支付'); 
DELETE FROM t_bei_crosstrantype_l WHERE FPKID = '3+T4T/NH/0RV';
INSERT INTO t_bei_crosstrantype_l(FID,FPKID,FLOCALEID,FCOMMENT,FNAME) VALUES (1594095003519862784,'3+T4T/NH/0RV','zh_TW',' ','中行跨境支付'); 

DELETE FROM t_bei_crosstrantype_entry WHERE FENTRYID = 1594095003528251392;
INSERT INTO t_bei_crosstrantype_entry(FID,FISLIMITVALUE,FENTRYID,FFIELDTYPE,FCOMBOXVALUE,FBASEDATATYPE,FFIELDKEY,FSEQ,FMAXLENGTH,FISNOTNULL,FISLIMITLENGTH,FDEFAULTVALUE,FVIRTUALVALUE,FDEFAULTVALUEID,FFIELDNAME,FISSEE) VALUES (1594095003519862784,'0',1594095003528251392,'text',' ',' ','contractno',1,0,'0','0',' ',' ',0,'兑换合约号','0'); 
DELETE FROM t_bei_crosstrantype_entry WHERE FENTRYID = 1594095003528251393;
INSERT INTO t_bei_crosstrantype_entry(FID,FISLIMITVALUE,FENTRYID,FFIELDTYPE,FCOMBOXVALUE,FBASEDATATYPE,FFIELDKEY,FSEQ,FMAXLENGTH,FISNOTNULL,FISLIMITLENGTH,FDEFAULTVALUE,FVIRTUALVALUE,FDEFAULTVALUEID,FFIELDNAME,FISSEE) VALUES (1594095003519862784,'0',1594095003528251393,'text',' ',' ','recemail',2,0,'0','0',' ',' ',0,'收款方邮箱','0'); 
DELETE FROM t_bei_crosstrantype_entry WHERE FENTRYID = 1594095003528251394;
INSERT INTO t_bei_crosstrantype_entry(FID,FISLIMITVALUE,FENTRYID,FFIELDTYPE,FCOMBOXVALUE,FBASEDATATYPE,FFIELDKEY,FSEQ,FMAXLENGTH,FISNOTNULL,FISLIMITLENGTH,FDEFAULTVALUE,FVIRTUALVALUE,FDEFAULTVALUEID,FFIELDNAME,FISSEE) VALUES (1594095003519862784,'0',1594095003528251394,'f7',' ','bd_country','reccountry',3,0,'1','0',' ',' ',0,'收款方国家地区','1'); 
DELETE FROM t_bei_crosstrantype_entry WHERE FENTRYID = 1594095003528251395;
INSERT INTO t_bei_crosstrantype_entry(FID,FISLIMITVALUE,FENTRYID,FFIELDTYPE,FCOMBOXVALUE,FBASEDATATYPE,FFIELDKEY,FSEQ,FMAXLENGTH,FISNOTNULL,FISLIMITLENGTH,FDEFAULTVALUE,FVIRTUALVALUE,FDEFAULTVALUEID,FFIELDNAME,FISSEE) VALUES (1594095003519862784,'0',1594095003528251395,'text',' ',' ','recprovince',4,0,'0','0',' ',' ',0,'收款方省','0'); 
DELETE FROM t_bei_crosstrantype_entry WHERE FENTRYID = 1594095003528251396;
INSERT INTO t_bei_crosstrantype_entry(FID,FISLIMITVALUE,FENTRYID,FFIELDTYPE,FCOMBOXVALUE,FBASEDATATYPE,FFIELDKEY,FSEQ,FMAXLENGTH,FISNOTNULL,FISLIMITLENGTH,FDEFAULTVALUE,FVIRTUALVALUE,FDEFAULTVALUEID,FFIELDNAME,FISSEE) VALUES (1594095003519862784,'0',1594095003528251396,'text',' ',' ','reccity',5,0,'0','0',' ',' ',0,'收款方市县','0'); 
DELETE FROM t_bei_crosstrantype_entry WHERE FENTRYID = 1594095003528251397;
INSERT INTO t_bei_crosstrantype_entry(FID,FISLIMITVALUE,FENTRYID,FFIELDTYPE,FCOMBOXVALUE,FBASEDATATYPE,FFIELDKEY,FSEQ,FMAXLENGTH,FISNOTNULL,FISLIMITLENGTH,FDEFAULTVALUE,FVIRTUALVALUE,FDEFAULTVALUEID,FFIELDNAME,FISSEE) VALUES (1594095003519862784,'0',1594095003528251397,'text',' ',' ','recbankaddress',6,0,'0','0',' ',' ',0,'收款行地址','0'); 
DELETE FROM t_bei_crosstrantype_entry WHERE FENTRYID = 1594095003528251398;
INSERT INTO t_bei_crosstrantype_entry(FID,FISLIMITVALUE,FENTRYID,FFIELDTYPE,FCOMBOXVALUE,FBASEDATATYPE,FFIELDKEY,FSEQ,FMAXLENGTH,FISNOTNULL,FISLIMITLENGTH,FDEFAULTVALUE,FVIRTUALVALUE,FDEFAULTVALUEID,FFIELDNAME,FISSEE) VALUES (1594095003519862784,'0',1594095003528251398,'text',' ',' ','recswiftcode',7,0,'0','0',' ',' ',0,'收款行Swift Code','0'); 
DELETE FROM t_bei_crosstrantype_entry WHERE FENTRYID = 1594095003528251399;
INSERT INTO t_bei_crosstrantype_entry(FID,FISLIMITVALUE,FENTRYID,FFIELDTYPE,FCOMBOXVALUE,FBASEDATATYPE,FFIELDKEY,FSEQ,FMAXLENGTH,FISNOTNULL,FISLIMITLENGTH,FDEFAULTVALUE,FVIRTUALVALUE,FDEFAULTVALUEID,FFIELDNAME,FISSEE) VALUES (1594095003519862784,'0',1594095003528251399,'text',' ',' ','recroutingnum',8,0,'0','0',' ',' ',0,'收款行Routing Number','0'); 
DELETE FROM t_bei_crosstrantype_entry WHERE FENTRYID = 1594095003528251400;
INSERT INTO t_bei_crosstrantype_entry(FID,FISLIMITVALUE,FENTRYID,FFIELDTYPE,FCOMBOXVALUE,FBASEDATATYPE,FFIELDKEY,FSEQ,FMAXLENGTH,FISNOTNULL,FISLIMITLENGTH,FDEFAULTVALUE,FVIRTUALVALUE,FDEFAULTVALUEID,FFIELDNAME,FISSEE) VALUES (1594095003519862784,'0',1594095003528251400,'text',' ',' ','recothercode',9,0,'0','0',' ',' ',0,'收款行其他行号','0'); 
DELETE FROM t_bei_crosstrantype_entry WHERE FENTRYID = 1594095003528251401;
INSERT INTO t_bei_crosstrantype_entry(FID,FISLIMITVALUE,FENTRYID,FFIELDTYPE,FCOMBOXVALUE,FBASEDATATYPE,FFIELDKEY,FSEQ,FMAXLENGTH,FISNOTNULL,FISLIMITLENGTH,FDEFAULTVALUE,FVIRTUALVALUE,FDEFAULTVALUEID,FFIELDNAME,FISSEE) VALUES (1594095003519862784,'0',1594095003528251401,'combox','01:付款方承担,02:收款方承担,03:共同承担',' ','feepayer',10,0,'1','0',' ',' ',0,'手续费承担方','1'); 
DELETE FROM t_bei_crosstrantype_entry WHERE FENTRYID = 1594095003528251404;
INSERT INTO t_bei_crosstrantype_entry(FID,FISLIMITVALUE,FENTRYID,FFIELDTYPE,FCOMBOXVALUE,FBASEDATATYPE,FFIELDKEY,FSEQ,FMAXLENGTH,FISNOTNULL,FISLIMITLENGTH,FDEFAULTVALUE,FVIRTUALVALUE,FDEFAULTVALUEID,FFIELDNAME,FISSEE) VALUES (1594095003519862784,'0',1594095003528251404,'combox','1:单电文,2:双电文',' ','instructmsg',13,0,'0','0',' ',' ',0,'电文指示','0'); 
DELETE FROM t_bei_crosstrantype_entry WHERE FENTRYID = 1594095003528251405;
INSERT INTO t_bei_crosstrantype_entry(FID,FISLIMITVALUE,FENTRYID,FFIELDTYPE,FCOMBOXVALUE,FBASEDATATYPE,FFIELDKEY,FSEQ,FMAXLENGTH,FISNOTNULL,FISLIMITLENGTH,FDEFAULTVALUE,FVIRTUALVALUE,FDEFAULTVALUEID,FFIELDNAME,FISSEE) VALUES (1594095003519862784,'0',1594095003528251405,'text',' ',' ','auditparam',14,0,'0','0',' ',' ',0,'清算要求参数','0'); 
DELETE FROM t_bei_crosstrantype_entry WHERE FENTRYID = 1594095003528251406;
INSERT INTO t_bei_crosstrantype_entry(FID,FISLIMITVALUE,FENTRYID,FFIELDTYPE,FCOMBOXVALUE,FBASEDATATYPE,FFIELDKEY,FSEQ,FMAXLENGTH,FISNOTNULL,FISLIMITLENGTH,FDEFAULTVALUE,FVIRTUALVALUE,FDEFAULTVALUEID,FFIELDNAME,FISSEE) VALUES (1594095003519862784,'0',1594095003528251406,'f7',' ','bei_transtype','transtype',15,0,'0','0',' ',' ',0,'交易种类','0'); 
DELETE FROM t_bei_crosstrantype_entry WHERE FENTRYID = 1594095003528251407;
INSERT INTO t_bei_crosstrantype_entry(FID,FISLIMITVALUE,FENTRYID,FFIELDTYPE,FCOMBOXVALUE,FBASEDATATYPE,FFIELDKEY,FSEQ,FMAXLENGTH,FISNOTNULL,FISLIMITLENGTH,FDEFAULTVALUE,FVIRTUALVALUE,FDEFAULTVALUEID,FFIELDNAME,FISSEE) VALUES (1594095003519862784,'0',1594095003528251407,'combox','URGP:紧急支付,SDVA:当日支付,PRPT:优先支付',' ','serlevel',16,0,'0','0',' ',' ',0,'服务级别','0'); 
DELETE FROM t_bei_crosstrantype_entry WHERE FENTRYID = 1594095003528251408;
INSERT INTO t_bei_crosstrantype_entry(FID,FISLIMITVALUE,FENTRYID,FFIELDTYPE,FCOMBOXVALUE,FBASEDATATYPE,FFIELDKEY,FSEQ,FMAXLENGTH,FISNOTNULL,FISLIMITLENGTH,FDEFAULTVALUE,FVIRTUALVALUE,FDEFAULTVALUEID,FFIELDNAME,FISSEE) VALUES (1594095003519862784,'0',1594095003528251408,'combox','BCHQ:BCHQ,CCHQ:CCHQ,CCCH:CCCH,DRFT:DRFT,ELDR:ELDR',' ','checktype',17,0,'0','0',' ',' ',0,'支票类型','0'); 
DELETE FROM t_bei_crosstrantype_entry WHERE FENTRYID = 1594095003528251409;
INSERT INTO t_bei_crosstrantype_entry(FID,FISLIMITVALUE,FENTRYID,FFIELDTYPE,FCOMBOXVALUE,FBASEDATATYPE,FFIELDKEY,FSEQ,FMAXLENGTH,FISNOTNULL,FISLIMITLENGTH,FDEFAULTVALUE,FVIRTUALVALUE,FDEFAULTVALUEID,FFIELDNAME,FISSEE) VALUES (1594095003519862784,'0',1594095003528251409,'combox','CTC:快递给债权人,CTD:快递给债务人,CTF:快递给最终代理人,MTC:邮寄给债权人,MTD:邮寄给债务人,MTF:邮寄给最终代理人,PBC:由债权人取票,PBD:由债务人取票,PBF:由最终代理人取票,RTC:挂号信给债权人,RTD:挂号信给债务人,RTF:挂号信给最终代理人',' ','sendway',18,0,'0','0',' ',' ',0,'寄送方式','0'); 
DELETE FROM t_bei_crosstrantype_entry WHERE FENTRYID = 1594095003528251410;
INSERT INTO t_bei_crosstrantype_entry(FID,FISLIMITVALUE,FENTRYID,FFIELDTYPE,FCOMBOXVALUE,FBASEDATATYPE,FFIELDKEY,FSEQ,FMAXLENGTH,FISNOTNULL,FISLIMITLENGTH,FDEFAULTVALUE,FVIRTUALVALUE,FDEFAULTVALUEID,FFIELDNAME,FISSEE) VALUES (1594095003519862784,'0',1594095003528251410,'combox','ICO:In-country Cashier Order,DD:Demand Draft,CC:Company Cheque,CCO:Cross-border Cashier Order,UCP:Up-Country Cheque,IDD:INR Demand Draft,CCC:Company Cheque on Correspondence Bank,CBC:Correspondent Bank Cheque,DDP:Demand Draft Purchase,RMP:Remote Payout,ACC:At Par Company Cheque',' ','checkuse',19,0,'0','0',' ',' ',0,'支票用途','0'); 
DELETE FROM t_bei_crosstrantype_entry WHERE FENTRYID = 1594095003528251412;
INSERT INTO t_bei_crosstrantype_entry(FID,FISLIMITVALUE,FENTRYID,FFIELDTYPE,FCOMBOXVALUE,FBASEDATATYPE,FFIELDKEY,FSEQ,FMAXLENGTH,FISNOTNULL,FISLIMITLENGTH,FDEFAULTVALUE,FVIRTUALVALUE,FDEFAULTVALUEID,FFIELDNAME,FISSEE) VALUES (1594095003519862784,'0',1594095003528251412,'text',' ',' ','paymentareacode',21,0,'0','0',' ',' ',0,'收款人地区码','0'); 
DELETE FROM t_bei_crosstrantype_entry WHERE FENTRYID = 1594095003528251413;
INSERT INTO t_bei_crosstrantype_entry(FID,FISLIMITVALUE,FENTRYID,FFIELDTYPE,FCOMBOXVALUE,FBASEDATATYPE,FFIELDKEY,FSEQ,FMAXLENGTH,FISNOTNULL,FISLIMITLENGTH,FDEFAULTVALUE,FVIRTUALVALUE,FDEFAULTVALUEID,FFIELDNAME,FISSEE) VALUES (1594095003519862784,'0',1594095003528251413,'bool',' ',' ','inforpayment',22,0,'0','0',' ',' ',0,'通知收款人','0'); 
DELETE FROM t_bei_crosstrantype_entry WHERE FENTRYID = 1594095003528251414;
INSERT INTO t_bei_crosstrantype_entry(FID,FISLIMITVALUE,FENTRYID,FFIELDTYPE,FCOMBOXVALUE,FBASEDATATYPE,FFIELDKEY,FSEQ,FMAXLENGTH,FISNOTNULL,FISLIMITLENGTH,FDEFAULTVALUE,FVIRTUALVALUE,FDEFAULTVALUEID,FFIELDNAME,FISSEE) VALUES (1594095003519862784,'0',1594095003528251414,'text',' ',' ','informrecemail',23,0,'0','0',' ',' ',0,'通知收款人邮箱','0'); 
DELETE FROM t_bei_crosstrantype_entry WHERE FENTRYID = 1594095003528251415;
INSERT INTO t_bei_crosstrantype_entry(FID,FISLIMITVALUE,FENTRYID,FFIELDTYPE,FCOMBOXVALUE,FBASEDATATYPE,FFIELDKEY,FSEQ,FMAXLENGTH,FISNOTNULL,FISLIMITLENGTH,FDEFAULTVALUE,FVIRTUALVALUE,FDEFAULTVALUEID,FFIELDNAME,FISSEE) VALUES (1594095003519862784,'0',1594095003528251415,'text',' ',' ','paymentfps',24,0,'0','0',' ',' ',0,'收款人FPS账号','0'); 
DELETE FROM t_bei_crosstrantype_entry WHERE FENTRYID = 1594095003528251416;
INSERT INTO t_bei_crosstrantype_entry(FID,FISLIMITVALUE,FENTRYID,FFIELDTYPE,FCOMBOXVALUE,FBASEDATATYPE,FFIELDKEY,FSEQ,FMAXLENGTH,FISNOTNULL,FISLIMITLENGTH,FDEFAULTVALUE,FVIRTUALVALUE,FDEFAULTVALUEID,FFIELDNAME,FISSEE) VALUES (1594095003519862784,'0',1594095003528251416,'combox','0:收款账号,1:收款人FPS账号,2:收款人电话,3:收款方邮箱',' ','paymentterm',25,0,'0','0',' ',' ',0,'收款方式','0'); 
DELETE FROM t_bei_crosstrantype_entry WHERE FENTRYID = 1594095003528251418;
INSERT INTO t_bei_crosstrantype_entry(FID,FISLIMITVALUE,FENTRYID,FFIELDTYPE,FCOMBOXVALUE,FBASEDATATYPE,FFIELDKEY,FSEQ,FMAXLENGTH,FISNOTNULL,FISLIMITLENGTH,FDEFAULTVALUE,FVIRTUALVALUE,FDEFAULTVALUEID,FFIELDNAME,FISSEE) VALUES (1594095003519862784,'0',1594095003528251418,'text',' ',' ','settlementmethod',27,0,'0','0',' ',' ',0,'清算方式','0'); 
DELETE FROM t_bei_crosstrantype_entry WHERE FENTRYID = 1594095003528251419;
INSERT INTO t_bei_crosstrantype_entry(FID,FISLIMITVALUE,FENTRYID,FFIELDTYPE,FCOMBOXVALUE,FBASEDATATYPE,FFIELDKEY,FSEQ,FMAXLENGTH,FISNOTNULL,FISLIMITLENGTH,FDEFAULTVALUE,FVIRTUALVALUE,FDEFAULTVALUEID,FFIELDNAME,FISSEE) VALUES (1594095003519862784,'0',1594095003528251419,'text',' ',' ','mobile',28,0,'0','0',' ',' ',0,'收款人电话','0'); 
DELETE FROM t_bei_crosstrantype_entry WHERE FENTRYID = 1594095003528251420;
INSERT INTO t_bei_crosstrantype_entry(FID,FISLIMITVALUE,FENTRYID,FFIELDTYPE,FCOMBOXVALUE,FBASEDATATYPE,FFIELDKEY,FSEQ,FMAXLENGTH,FISNOTNULL,FISLIMITLENGTH,FDEFAULTVALUE,FVIRTUALVALUE,FDEFAULTVALUEID,FFIELDNAME,FISSEE) VALUES (1594095003519862784,'0',1594095003528251420,'text',' ',' ','proxybebankad',29,0,'0','0',' ',' ',0,'代理行地址','0'); 
DELETE FROM t_bei_crosstrantype_entry WHERE FENTRYID = 1594095003528251421;
INSERT INTO t_bei_crosstrantype_entry(FID,FISLIMITVALUE,FENTRYID,FFIELDTYPE,FCOMBOXVALUE,FBASEDATATYPE,FFIELDKEY,FSEQ,FMAXLENGTH,FISNOTNULL,FISLIMITLENGTH,FDEFAULTVALUE,FVIRTUALVALUE,FDEFAULTVALUEID,FFIELDNAME,FISSEE) VALUES (1594095003519862784,'0',1594095003528251421,'f7',' ','bd_country','proxybebankcountry',30,0,'0','0',' ',' ',0,'代理行国家地区','0'); 
DELETE FROM t_bei_crosstrantype_entry WHERE FENTRYID = 1594095003528251426;
INSERT INTO t_bei_crosstrantype_entry(FID,FISLIMITVALUE,FENTRYID,FFIELDTYPE,FCOMBOXVALUE,FBASEDATATYPE,FFIELDKEY,FSEQ,FMAXLENGTH,FISNOTNULL,FISLIMITLENGTH,FDEFAULTVALUE,FVIRTUALVALUE,FDEFAULTVALUEID,FFIELDNAME,FISSEE) VALUES (1594095003519862784,'0',1594095003528251426,'text',' ',' ','applyname',35,70,'1','1',' ',' ',0,'申请人姓名','1'); 
DELETE FROM t_bei_crosstrantype_entry WHERE FENTRYID = 1594095003528251427;
INSERT INTO t_bei_crosstrantype_entry(FID,FISLIMITVALUE,FENTRYID,FFIELDTYPE,FCOMBOXVALUE,FBASEDATATYPE,FFIELDKEY,FSEQ,FMAXLENGTH,FISNOTNULL,FISLIMITLENGTH,FDEFAULTVALUE,FVIRTUALVALUE,FDEFAULTVALUEID,FFIELDNAME,FISSEE) VALUES (1594095003519862784,'0',1594095003528251427,'combox','TRA:TRA,TRF:TRF,CHK:CHK',' ','paymethod',36,0,'0','0',' ',' ',0,'付款方式','0'); 
DELETE FROM t_bei_crosstrantype_entry WHERE FENTRYID = 1594095003528251428;
INSERT INTO t_bei_crosstrantype_entry(FID,FISLIMITVALUE,FENTRYID,FFIELDTYPE,FCOMBOXVALUE,FBASEDATATYPE,FFIELDKEY,FSEQ,FMAXLENGTH,FISNOTNULL,FISLIMITLENGTH,FDEFAULTVALUE,FVIRTUALVALUE,FDEFAULTVALUEID,FFIELDNAME,FISSEE) VALUES (1594095003519862784,'0',1594095003528251428,'combox','0:收款账号,1:收款人FPS账号,2:收款人电话,3:收款方邮箱',' ','paymentterm',37,0,'0','0',' ',' ',0,'收款方式','0'); 
DELETE FROM t_bei_crosstrantype_entry WHERE FENTRYID = 1594095003528251429;
INSERT INTO t_bei_crosstrantype_entry(FID,FISLIMITVALUE,FENTRYID,FFIELDTYPE,FCOMBOXVALUE,FBASEDATATYPE,FFIELDKEY,FSEQ,FMAXLENGTH,FISNOTNULL,FISLIMITLENGTH,FDEFAULTVALUE,FVIRTUALVALUE,FDEFAULTVALUEID,FFIELDNAME,FISSEE) VALUES (1594095003519862784,'0',1594095003528251429,'text',' ',' ','applyphone',38,15,'1','1',' ',' ',0,'申请人电话','1'); 
DELETE FROM t_bei_crosstrantype_entry WHERE FENTRYID = 1594095003528251430;
INSERT INTO t_bei_crosstrantype_entry(FID,FISLIMITVALUE,FENTRYID,FFIELDTYPE,FCOMBOXVALUE,FBASEDATATYPE,FFIELDKEY,FSEQ,FMAXLENGTH,FISNOTNULL,FISLIMITLENGTH,FDEFAULTVALUE,FVIRTUALVALUE,FDEFAULTVALUEID,FFIELDNAME,FISSEE) VALUES (1594095003519862784,'0',1594095003528251430,'f7',' ','bei_proxybank','payproxybank',39,0,'0','0',' ',' ',0,'付款代理行','0'); 
DELETE FROM t_bei_crosstrantype_entry WHERE FENTRYID = 1594095003528251411;
INSERT INTO t_bei_crosstrantype_entry(FID,FISLIMITVALUE,FENTRYID,FFIELDTYPE,FCOMBOXVALUE,FBASEDATATYPE,FFIELDKEY,FSEQ,FMAXLENGTH,FISNOTNULL,FISLIMITLENGTH,FDEFAULTVALUE,FVIRTUALVALUE,FDEFAULTVALUEID,FFIELDNAME,FISSEE) VALUES (1594095003519862784,'0',1594095003528251411,'text',' ',' ','recaddress',20,0,'0','0',' ',' ',0,'收款方地址','0'); 
DELETE FROM t_bei_crosstrantype_entry WHERE FENTRYID = 1594095003528251417;
INSERT INTO t_bei_crosstrantype_entry(FID,FISLIMITVALUE,FENTRYID,FFIELDTYPE,FCOMBOXVALUE,FBASEDATATYPE,FFIELDKEY,FSEQ,FMAXLENGTH,FISNOTNULL,FISLIMITLENGTH,FDEFAULTVALUE,FVIRTUALVALUE,FDEFAULTVALUEID,FFIELDNAME,FISSEE) VALUES (1594095003519862784,'0',1594095003528251417,'text',' ',' ','proxybebankname',26,0,'0','0',' ',' ',0,'代理行名称','0'); 
DELETE FROM t_bei_crosstrantype_entry WHERE FENTRYID = 1594095003528251422;
INSERT INTO t_bei_crosstrantype_entry(FID,FISLIMITVALUE,FENTRYID,FFIELDTYPE,FCOMBOXVALUE,FBASEDATATYPE,FFIELDKEY,FSEQ,FMAXLENGTH,FISNOTNULL,FISLIMITLENGTH,FDEFAULTVALUE,FVIRTUALVALUE,FDEFAULTVALUEID,FFIELDNAME,FISSEE) VALUES (1594095003519862784,'0',1594095003528251422,'text',' ',' ','proxybebankactno',31,0,'0','0',' ',' ',0,'代理账号','0'); 
DELETE FROM t_bei_crosstrantype_entry WHERE FENTRYID = 1594095003528251423;
INSERT INTO t_bei_crosstrantype_entry(FID,FISLIMITVALUE,FENTRYID,FFIELDTYPE,FCOMBOXVALUE,FBASEDATATYPE,FFIELDKEY,FSEQ,FMAXLENGTH,FISNOTNULL,FISLIMITLENGTH,FDEFAULTVALUE,FVIRTUALVALUE,FDEFAULTVALUEID,FFIELDNAME,FISSEE) VALUES (1594095003519862784,'0',1594095003528251423,'text',' ',' ','proxybebankactname',32,0,'0','0',' ',' ',0,'代理账号名称','0'); 
DELETE FROM t_bei_crosstrantype_entry WHERE FENTRYID = 1594095003528251424;
INSERT INTO t_bei_crosstrantype_entry(FID,FISLIMITVALUE,FENTRYID,FFIELDTYPE,FCOMBOXVALUE,FBASEDATATYPE,FFIELDKEY,FSEQ,FMAXLENGTH,FISNOTNULL,FISLIMITLENGTH,FDEFAULTVALUE,FVIRTUALVALUE,FDEFAULTVALUEID,FFIELDNAME,FISSEE) VALUES (1594095003519862784,'0',1594095003528251424,'f7',' ','bd_bebank','proxybebank',33,0,'0','0',' ',' ',0,'代理行','0'); 
DELETE FROM t_bei_crosstrantype_entry WHERE FENTRYID = 1594095003528251425;
INSERT INTO t_bei_crosstrantype_entry(FID,FISLIMITVALUE,FENTRYID,FFIELDTYPE,FCOMBOXVALUE,FBASEDATATYPE,FFIELDKEY,FSEQ,FMAXLENGTH,FISNOTNULL,FISLIMITLENGTH,FDEFAULTVALUE,FVIRTUALVALUE,FDEFAULTVALUEID,FFIELDNAME,FISSEE) VALUES (1594095003519862784,'0',1594095003528251425,'text',' ',' ','proxybebanksc',34,0,'0','0',' ',' ',0,'代理行Swift Code','0'); 
DELETE FROM t_bei_crosstrantype_entry WHERE FENTRYID = 1594095003528251402;
INSERT INTO t_bei_crosstrantype_entry(FID,FISLIMITVALUE,FENTRYID,FFIELDTYPE,FCOMBOXVALUE,FBASEDATATYPE,FFIELDKEY,FSEQ,FMAXLENGTH,FISNOTNULL,FISLIMITLENGTH,FDEFAULTVALUE,FVIRTUALVALUE,FDEFAULTVALUEID,FFIELDNAME,FISSEE) VALUES (1594095003519862784,'0',1594095003528251402,'f7',' ','bd_accountbanks','feeactbank',11,0,'0','0',' ',' ',0,'手续费账户','0'); 
DELETE FROM t_bei_crosstrantype_entry WHERE FENTRYID = 1594095003528251403;
INSERT INTO t_bei_crosstrantype_entry(FID,FISLIMITVALUE,FENTRYID,FFIELDTYPE,FCOMBOXVALUE,FBASEDATATYPE,FFIELDKEY,FSEQ,FMAXLENGTH,FISNOTNULL,FISLIMITLENGTH,FDEFAULTVALUE,FVIRTUALVALUE,FDEFAULTVALUEID,FFIELDNAME,FISSEE) VALUES (1594095003519862784,'0',1594095003528251403,'f7',' ','bd_currency','feecurrency',12,0,'0','0',' ',' ',0,'手续费币别','0'); 
